List styles
Lists the styles you can use, category by category.
GET
/v1/stylesAdd category to get one category. description, angle and recommended_aspect_ratios can be null.
curl -sS -G https://api.foodshot.ai/v1/styles \ --max-time 60 \ -H "Authorization: Bearer $FOODSHOT_API_KEY" \ --data-urlencode 'category=delivery-apps'{ "object": "list", "data": [ { "id": "pure-shot", "object": "style", "name": "Pure Shot", "category": "delivery-apps", "category_name": "Delivery & Takeout", "description": null, "angle": null, "recommended_aspect_ratios": null, "thumbnail_url": "https://cdn.foodshot.ai/style-thumbnails/2026-09-24/pure-shot_0123456789ab.webp", "example": null, "retires_at": null }, { "id": "white-hero", "object": "style", "name": "White Hero", "category": "delivery-apps", "category_name": "Delivery & Takeout", "description": null, "angle": null, "recommended_aspect_ratios": null, "thumbnail_url": "https://cdn.foodshot.ai/style-thumbnails/2026-09-24/white-hero_fedcba987654.webp", "example": null, "retires_at": null } ], "has_more": false}Query parameters
category?string
Only the styles of this category. See Styles.
One of
- "delivery-apps"
- "menu"
- "fine-dining"
- "lifestyle"
- "bar-lounge"
- "studio"
- "pastry-bakery"
- "rtd-beverage"
- "packaged-food"
- "spirits-bottles"